Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc.rules
Class XMLRulesMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--rj.tools.jcsc.rules.XMLRulesMap

All Implemented Interfaces:
  java.util.Map

public class XMLRulesMap
extends java.util.AbstractMap

Class through which the Rules are aquired reading them from a XML Document. Once a rules was retrieved it is cached

Version:
  $Revision: 1.3 $
Author:
  Ralph Jocham

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`XMLRulesMap(org.w3c.dom.Document document)` Creates a new XMLRulesMap based on a xml document

Method Summary
`java.util.Set` | `entrySet()` Returns a set view of the mappings contained in this map.
`java.lang.Object` | `get(java.lang.Object key)` Return the key specified by the key which is the name of the Rule.

Methods inherited from class java.util.AbstractMap
`clear, containsKey, containsValue, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLRulesMap

    public XMLRulesMap(org.w3c.dom.Document document)

  Creates a new XMLRulesMap based on a xml document
  Parameters:
    `document` -

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Return the key specified by the key which is the name of the Rule.
  Overrides:
    `get` in class `java.util.AbstractMap`
  Parameters:
    `key` - of the rule
  Returns:
    an object of type Rule
  See Also:
    `RuleConstants`

### entrySet

    public java.util.Set entrySet()

  Returns a set view of the mappings contained in this map. Each element in this set is a Map.Entry. The set is backed by the map, so changes to the map are reflected in the set, and vice-versa. (If the map is modified while an iteration over the set is in progress, the results of the iteration are undefined.) The set supports element removal, which removes the corresponding entry from the map, via the `Iterator.remove`, `Set.remove`, `removeAll`, `retainAll` and `clear` operations. It does not support the `add` or `addAll` operations.
  Overrides:
    `entrySet` in class `java.util.AbstractMap`
  Returns:
    a set view of the mappings contained in this map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License